Subject: bug#202 closed by Jason Rumney <[email-masked]> (bug#202: addpm.c: DdeConnect() without timeout)

From: [email-masked] (Emacs bug Tracking System)
Date: Thu, 15 Jan 2009 15:15:04 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs,w32 package:

#202: addpm.c: DdeConnect() without timeout

It has been closed by Jason Rumney <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Jason Rumney <[email-masked]> by
replying to this email.

-- 
202: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=202
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: bug#202: addpm.c: DdeConnect() without timeout
From: Jason Rumney <[email-masked]>
To: [email-masked]
Date: Thu, 15 Jan 2009 23:10:36 +0800

I decided to fix this by creating the Shortcuts using the Shell API 
where possible, only falling back on the deprecated DDE ProgMan 
interface when that fails (which should only happen on copies of Windows 
95 and NT 4.0 that have not been updated since 1996).

>From [email-masked] Thu May  8 09:21:07 2008
Resent-From: Jason Rumney <[email-masked]>
Resent-To: [email-masked]
Resent-Date: Thu, 8 May 2008 17:20:52 +0100
Resent-Message-Id: <[email-masked]>
Resent-User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.8.1.14) Gecko/20080421 Lightning/0.8 Thunderbird/2.0.0.14
From: "Dhruva Krishnamurthy" <[email-masked]>
To: "Emacs Devel" <[email-masked]>
Date: Mon, 03 May 2004 11:37:15 +0530
Subject: addpm.c: DdeConnect() without timeout
Sender: emacs-devel-bounces+jasonr=[email-masked]

Hello,
 I had reported a problem with addpm.exe on W2K. I am building CVS HEAD
 using MinGW-GCC and MSVC6 and face the same problem of addpm.exe getting
 stuck duing "nmake (gmake) install".
I found that it is getting stuck in DdeConnect(). I am not aware of DDE
mechanism but feel we should have a time out. Since "addpm.exe" is trivia
and does not affect the working of GNU Emacs, the install should progress
even if "addpm.exe" fails.

 Also, I noticed "gmake info" failes on MinGW-GCC on W2K. The problem is
 with backslash ("\") in makefile.w32-in at target "info:". Changing it
 to forward slashes "/", fixes this problem.

with best regards,
dhruva
________________________________________
Dhruva Krishnamurthy
Proud FSF member: #1935
http://schemer.fateback.com/

_______________________________________________
Emacs-devel mailing list
[email-masked]
http://mail.gnu.org/mailman/listinfo/emacs-devel